- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoGenerationalReplacement< MOEOT > Class Template Reference

Generational replacement: only the new individuals are preserved. More...

`#include <moeoGenerationalReplacement.h>`

Inheritance diagram for moeoGenerationalReplacement< MOEOT >:

List of all members.

## Public Member Functions
void | operator() (eoPop< MOEOT > &_parents, eoPop< MOEOT > &_offspring)
| Swaps _parents and _offspring.

## Detailed Description

### template<class MOEOT>
class moeoGenerationalReplacement< MOEOT >

Generational replacement: only the new individuals are preserved.

Definition at line 23 of file moeoGenerationalReplacement.h.

## Member Function Documentation

template<class MOEOT>

void moeoGenerationalReplacement< MOEOT >::operator() | ( | eoPop< MOEOT > & | _parents,
|  | eoPop< MOEOT > & | _offspring |
| ) |  |  | `[inline]`

Swaps _parents and _offspring.

Parameters:

  | _parents | the parents population
  | _offspring | the offspring population

Reimplemented from eoGenerationalReplacement< MOEOT >.

Definition at line 32 of file moeoGenerationalReplacement.h.

The documentation for this class was generated from the following file:

- moeoGenerationalReplacement.h